Package org.eclipse.compare.internal

# Interface IMergeViewerTestAdapter

public interface IMergeViewerTestAdapter
An interface that provides access to the internals of a merge viewer for the purposes of testing. NOTE: This interface is not to be used for any other purpose.

## Method Summary

Modifier and Type
Method
Description
`int`
`getChangesCount()`
Returns the number of changes in merge viewer
`IDocument`
`getDocument(char leg)`
Return the document for the given leg

## Method Details

### getDocument

IDocument getDocument(char leg)
Return the document for the given leg

Parameters:
  `leg` - the leg (or side)
Returns:
  the document for that leg of the comparison

### getChangesCount

int getChangesCount()
Returns the number of changes in merge viewer

Returns:
  the number of changes